Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Identity Hub
  • Access management
  • Pricing policy
  • Terraform reference
    • Authentication
      • Overview
        • Overview
        • Get
        • ResolveExternal
        • List
        • ListExternal
        • Create
        • CreateExternal
        • Update
        • ConvertToExternal
        • ConvertAllToBasic
        • Delete
        • ListOperations
        • ListMembers
        • UpdateMembers
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
        • ListEffective
  • Audit Trails events
  • Release notes
  • Yandex Identity Hub Sync Agent release notes

In this article:

  • gRPC request
  • ListGroupMembersRequest
  • ListGroupMembersResponse
  • GroupMember
  1. API reference
  2. gRPC
  3. Group
  4. ListMembers

Identity Hub API, gRPC: GroupService.ListMembers

Written by
Yandex Cloud
Updated at May 27, 2026
View in Markdown
  • gRPC request
  • ListGroupMembersRequest
  • ListGroupMembersResponse
  • GroupMember

List group active members.

gRPC requestgRPC request

rpc ListMembers (ListGroupMembersRequest) returns (ListGroupMembersResponse)

ListGroupMembersRequestListGroupMembersRequest

{
  "group_id": "string",
  "page_size": "int64",
  "page_token": "string"
}

Field

Description

group_id

string

Required field. ID of the Group resource to list members for.

The maximum string length in characters is 50.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size, the service returns a ListGroupMembersResponse.next_page_token
that can be used to get the next page of results in subsequent list requests.
Acceptable values are 0 to 1000, inclusive. Default value: 100.

Acceptable values are 0 to 1000, inclusive.

page_token

string

Page token. Set page_token
to the ListGroupMembersResponse.next_page_token
returned by a previous list request to get the next page of results.

The maximum string length in characters is 2000.

ListGroupMembersResponseListGroupMembersResponse

{
  "members": [
    {
      "subject_id": "string",
      "subject_type": "string"
    }
  ],
  "next_page_token": "string"
}

Field

Description

members[]

GroupMember

List of members for the specified group.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListGroupMembersRequest.page_size, use the next_page_token as the value
for the ListGroupMembersRequest.page_token query parameter in the next list request.
Each subsequent list request will have its own next_page_token to continue paging through the results.

GroupMemberGroupMember

Field

Description

subject_id

string

ID of the subject.

subject_type

string

Type of the subject.
It can contain one of the following values:

  • userAccount: An account on Yandex, added to Yandex Cloud.
  • federatedUser: A federated account. This type represents a user from an identity federation, like Active Directory.

Was the article helpful?

Previous
ListOperations
Next
UpdateMembers
© 2026 Direct Cursus Technology L.L.C.